MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027360Open CASCADE[OCCT] OCCT:Visualizationpublic2016-04-06 12:342016-12-09 16:38
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027360: Visualization - remove obsolete anti-aliasing API
DescriptionThe following obsolete methods should be removed from V3d_View class:
SetAntialiasingOn()
SetAntialiasingOff()
Antialiasing()
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0026711closedbugmaster Open CASCADE Visualization, TKOpenGl - support creation of multisampling off-screen FBOs 
related to 0024324closedbugmaster Community Antialiasing exposes triangulation edges [on NVIDIA] 

-  Notes
(0056306)
git (administrator)
2016-07-30 17:53

Branch CR27360 has been created by kgv.

SHA-1: afd5688b6c76ff2ac30e1f38d5dce4df36a85c37


Detailed log of new commits:

Author: kgv
Date: Sat Jul 30 17:47:49 2016 +0300

    0027360: Visualization - Remove obsolete anti-aliasing API
(0056307)
git (administrator)
2016-07-30 17:54

Branch CR27360 has been updated forcibly by kgv.

SHA-1: 6af653c28ab8859409007580b9b03ce26402e9d9
(0056308)
kgv (developer)
2016-07-30 17:55

Patch is ready for review.
(0056329)
git (administrator)
2016-08-01 12:56

Branch CR27360 has been updated forcibly by kgv.

SHA-1: 41014bbd53916e99ddb3b3b3eeff251285d75979
(0056345)
san (developer)
2016-08-01 17:24

Branch CR27360 reviewed without remarks, ready for testing.
(0056385)
apv (tester)
2016-08-02 15:47

Dear BugMaster,

Branch CR27360 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 41014bbd53916e99ddb3b3b3eeff251285d75979

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1148

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 90460722 / 90112384 [+0.39%]
Total CPU difference: 19380.06999999998 / 19470.040000000092 [-0.46%]

Testing on Windows:
Total MEMORY difference: 57073800 / 57093912 [-0.04%]
Total CPU difference: 18170.13847449888 / 18078.831089198848 [+0.51%]
(0057179)
git (administrator)
2016-08-26 16:25

Branch CR27360 has been deleted by inv.

SHA-1: 41014bbd53916e99ddb3b3b3eeff251285d75979

- Related Changesets
occt: master 2e5139af
Timestamp: 2016-07-30 14:54:29
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027360: Visualization - remove obsolete anti-aliasing API

The methods V3d_View::SetAntialiasingOn(), ::SetAntialiasingOff()
and Antialiasing() have been removed.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dView.cpp Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_NamedStatus.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_View.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Redraw.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.hxx Diff ] File ]
mod - src/QABugs/QABugs_3.cxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/V3d/V3d_View.hxx Diff ] File ]
mod - src/V3d/V3d_View_1.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-04-06 12:34 san New Issue
2016-04-06 12:34 san Assigned To => kgv
2016-04-06 12:34 san Relationship added related to 0026711
2016-04-06 12:35 san Relationship added related to 0024324
2016-04-06 14:07 kgv Severity tweak => integration request
2016-04-06 14:08 kgv Assigned To kgv => mpa
2016-04-06 14:08 kgv Status new => assigned
2016-06-21 09:30 kgv Relationship added related to 0027625
2016-06-21 09:35 kgv Assigned To mpa => kgv
2016-07-30 17:53 git Note Added: 0056306
2016-07-30 17:54 git Note Added: 0056307
2016-07-30 17:55 kgv Note Added: 0056308
2016-07-30 17:55 kgv Assigned To kgv => san
2016-07-30 17:55 kgv Status assigned => resolved
2016-07-30 17:55 kgv Summary Visualization - Remove obsolete anti-aliasing API => Visualization - remove obsolete anti-aliasing API
2016-08-01 12:56 git Note Added: 0056329
2016-08-01 17:24 san Note Added: 0056345
2016-08-01 17:24 san Assigned To san => bugmaster
2016-08-01 17:24 san Status resolved => reviewed
2016-08-01 18:54 apv Assigned To bugmaster => apv
2016-08-02 15:18 apv Test case number => Not needed
2016-08-02 15:47 apv Note Added: 0056385
2016-08-02 15:47 apv Assigned To apv => bugmaster
2016-08-02 15:47 apv Status reviewed => tested
2016-08-05 13:30 bugmaster Changeset attached => occt master 2e5139af
2016-08-05 13:30 bugmaster Status tested => verified
2016-08-05 13:30 bugmaster Resolution open => fixed
2016-08-26 16:25 git Note Added: 0057179
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker